<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('providers', function (Blueprint $table) {
            $table->dropColumn(['selfie_media_base64', 'document_front_media_base64', 'document_back_media_base64']);
        });
    }

    public function down(): void
    {
        Schema::table('providers', function (Blueprint $table) {
            $table->longText('selfie_media_base64')->nullable();
            $table->longText('document_front_media_base64')->nullable();
            $table->longText('document_back_media_base64')->nullable();
        });
    }
};
